Bug 1303205 - [RFE] Backup and restore a single projects to its original state [NEEDINFO]
Summary: [RFE] Backup and restore a single projects to its original state
Status: NEW
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Brett Thurber
QA Contact: Johnny Liu
URL:
Whiteboard:
Keywords:
: 1427162 1581348 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-29 20:21 UTC by Ryan Howe
Modified: 2019-04-23 13:50 UTC (History)
38 users (show)

(edit)
Clone Of:
(edit)
Last Closed:
dmoessne: needinfo? (mfojtik)
nbhatt: needinfo? (mfojtik)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1259544 None CLOSED [DOCS] Document backup and restore procedures 2019-05-14 19:20 UTC

Description Ryan Howe 2016-01-29 20:21:17 UTC
Needing Back up and Restore procedures/feature to restore a single project. 

-Looking for a feature that would make it easy to restore a whole project to its original state if deleted. 
   - Either restoring from past ectd backups or from a separate back up of the project.

Currently `oc export` requires addition steps to restore a project back to its original state.

Comment 1 Clayton Coleman 2016-02-07 19:16:18 UTC
What steps do you considered required above and beyond oc export?

Comment 2 Ryan Howe 2016-03-28 19:13:19 UTC
Using just `oc export`  will not work as a back up when dealing objects that reference images that have been build and pushed the internal registry.  

We are looking for a feature that would allow a system admin to backup an existing project and restore it under a different namespace or different environment.

Comment 3 Brennan Vincello 2016-05-26 22:57:32 UTC
Using wordpress/mysql as an example, the current workflow for project backup and restore goes something like this:

- create project
- create pvc for mysql
- create pvc for wordpress
- deploy mysql pod
- deploy wordpress pod
- export mysql pod yaml
- (update mysql-pod.yaml with the passwords/usernames from the exported pod yaml)
- delete project

- create second project
- create new pvc for mysql                        
- create new pvc for wordpress
- find/verify the new mysql pv
- copy everything from the old mysql pv to the new mysql pv
- deploy previously exported mysql pod yaml
- deploy wordpress pod

More at: https://github.com/brennv/wordpress-ex

Comment 4 Paul Weil 2016-05-27 12:24:04 UTC
Being tracked as a feature request in Trello here: https://trello.com/c/ZzlGpdCy/683-backup-and-restore-a-single-project-to-its-original-state

Comment 5 Eric Rich 2016-08-16 16:32:57 UTC
https://trello.com/c/ZDsGofPQ/319-ose-gce-integration-day-2-operation-activities seems to also be tracking this.

Comment 7 Dan McPherson 2017-02-27 13:53:53 UTC
*** Bug 1427162 has been marked as a duplicate of this bug. ***

Comment 15 Paul Weil 2018-06-11 19:30:22 UTC
*** Bug 1581348 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.